Summary: GateD daemon for 2.0.x kernels
Name: gated
Version: R3_6Alpha_2
Release: 1
Copyright: distributable, BSD
Vendor: Cristian Gafton, <gafton@sorosis.ro>
Distribution: RedHat 4.1
Group: Networking/Daemons
Source: ftp://ftp.gated.org/net-research/gated/gated-R3_6Alpha_2.tar.gz
Patch0: ftp://ftp.redhat.com/pub/gated/gated.patch
Patch1: gated-redhat.patch

%description
GateD is a routing daemon that  handles  multiple  routing protocols and
replaces routed and egpup.  GateD currently handles the RIP, BGP, EGP,
HELLO, and OSPF routing protocols. The gated process can be configured to
perform all routing protocols or any subset of them.
It is curently maintained by Merit.

%prep
%setup 
%patch0 -p1
%patch1 -p1
cd src
make autoconf

%build
cd src
make

%install
cd src
make install
cd ../man
install -m 0644 gated.8 gdc.8 ripquery.8 ospf_monitor.8 /usr/man/man8
cd ..
install -m 0750 gated.init /etc/rc.d/init.d
cd /etc/rc.d/rc3.d && ln -sf ../init.d/gated.init S35gated
cd /etc/rc.d/rc5.d && ln -sf ../init.d/gated.init S35gated
cd /etc/rc.d/rc6.d && ln -sf ../init.d/gated.init K85gated

%files
/usr/sbin/gated
/usr/bin/gdc
/usr/bin/ripquery
/usr/bin/ospf_monitor
%doc doc/html doc/priv
%doc Acknowledgements BUGS CHANGES README README.bgp TODO TODO.lpj
%doc ISIS-config.ps
%doc man/gated-2.0-impl.txt
%doc VERSION doc/tex/gated.ps
/usr/man/man8/gated.8
/usr/man/man8/gdc.8
/usr/man/man8/ripquery.8
/usr/man/man8/ospf_monitor.8
/etc/rc.d/init.d/gated.init
/etc/rc.d/rc3.d/S35gated
/etc/rc.d/rc5.d/S35gated
/etc/rc.d/rc6.d/K85gated

%post
echo
echo 'You will need to configure /etc/gated.conf before you can use gated !!!'
echo
